Bug 1651300 - systemctl edit doesn't use polkit
Summary: systemctl edit doesn't use polkit
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: systemd
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: systemd-maint
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-19 16:15 UTC by Ray Strode [halfline]
Modified: 2019-05-22 04:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-21 10:11:40 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Ray Strode [halfline] 2018-11-19 16:15:24 UTC
Right now, I don't need to use sudo when interacting with systemctl for almost any operation.

The big exception is systemctl edit.

Ideally it would hook into polkit in the same way all the other systemctl commands do.

Comment 1 Jan Synacek 2018-11-20 06:10:17 UTC
To be honest, 'systemctl edit' shouldn't even be a thing. It's already way too complicated for what it's supposed to do and adding polkit support would make things even worse. I'll leave this bug open for now in case others have a different opinion.

Comment 2 Michal Sekletar 2018-11-26 08:36:46 UTC
This is already reported upstream. IMHO, the chances this will get fixed soon(-ish) are pretty slim.

https://github.com/systemd/systemd/issues/5504

Comment 3 Ray Strode [halfline] 2018-11-26 12:46:02 UTC
feel free to close UPSTREAM if thats more convenient and you dont see this getting fixed rhel 8 timeframe


Note You need to log in before you can comment on or make changes to this bug.